### Function

# FwupdPlugin memread_uint64

since: 1.8.2

#### Declaration [src]

    guint64
    fu_memread_uint64 (
      const guint8* buf,
      FuEndianType endian
    )

#### Description [src]

Read a value from a buffer using a specified endian.

Available since: 1.8.2

#### Parameters

`buf`

  Type: `const guint8*`

  A readable buffer.

  The data is owned by the caller of the function.

`endian`

  Type: `FuEndianType`

  An endian type, e.g. `G_LITTLE_ENDIAN`.

#### Return value

Type: `guint64`

A value in host byte-order.